# PhasicFlow: insertionRegion Class Reference

insertionRegion Class Reference
Inheritance diagram for insertionRegion:
[legend]
Collaboration diagram for insertionRegion:
[legend]

## Public Member Functions

| TypeInfoNV ("insertionRegion")
| insertionRegion (const dictionary &dict)
| insertionRegion (const insertionRegion &src)
| insertionRegion (insertionRegion &&)=default
insertionRegion & | operator= (const insertionRegion &)
insertionRegion & | operator= (insertionRegion &&)=default
| ~insertionRegion ()=default
const auto & | setFields () const
const auto & | name () const
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const
Public Member Functions inherited from timeFlowControl
| timeFlowControl (const dictionary &dict)
bool | insertionTime (real currentTime, real dt)
size_t | totalInserted () const
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const

## Protected Member Functions

bool | readInsertionRegion (const dictionary &dict)
bool | writeInsertionRegion (dictionary &dict) const
Protected Member Functions inherited from timeFlowControl
bool | readTimeFlowControl (const dictionary &dict)
bool | writeTimeFlowControl (dictionary &dict) const
size_t | numberToBeInserted (real currentTime)
size_t | addToNumInserted (size_t newInserted)

## Protected Attributes

word | name_
word | type_
uniquePtr< peakableRegion > | pRegion_ = nullptr
uniquePtr< shapeMixture > | mixture_ = nullptr
uniquePtr< setFieldList > | setFields_ = nullptr
Protected Attributes inherited from timeFlowControl
real | startTime_
real | endTime_
real | interval_
real | rate_
size_t | numInserted_ = 0

## Detailed Description

Definition at line 34 of file insertionRegion.hpp.

## Constructor & Destructor Documentation

## insertionRegion() [1/3]

insertionRegion | ( | const dictionary & | dict | ) |

Definition at line 95 of file insertionRegion.cpp.

References fatalExit.

## insertionRegion() [2/3]

insertionRegion | ( | const insertionRegion & | src | ) |

Definition at line 109 of file insertionRegion.cpp.

## insertionRegion() [3/3]

insertionRegion | ( | insertionRegion && |  | ) |

default

## ~insertionRegion()

~insertionRegion | ( |  | ) |

default

## Member Function Documentation

## readInsertionRegion()

bool readInsertionRegion | ( | const dictionary & | dict | ) |

protected

Definition at line 26 of file insertionRegion.cpp.

References dictionary::containsDictionay(), pFlow::endl(), fatalErrorInFunction, dictionary::getVal(), dictionary::globalName(), iEntry::name(), pFlow::output, and dictionary::subDict().

Referenced by insertionRegion::read().

Here is the call graph for this function:
Here is the caller graph for this function:

## writeInsertionRegion()

bool writeInsertionRegion | ( | dictionary & | dict | ) | const

protected

Definition at line 65 of file insertionRegion.cpp.

References dictionary::add(), dictionary::subDictOrCreate(), and dictionary::write().

Referenced by insertionRegion::write().

Here is the call graph for this function:
Here is the caller graph for this function:

## TypeInfoNV()

TypeInfoNV | ( | "insertionRegion" |  | ) |

## operator=() [1/2]

pFlow::insertionRegion & operator= | ( | const insertionRegion & | src | ) |

Definition at line 122 of file insertionRegion.cpp.

References insertionRegion::mixture_, insertionRegion::name_, insertionRegion::pRegion_, insertionRegion::setFields_, and insertionRegion::type_.

## operator=() [2/2]

insertionRegion& operator= | ( | insertionRegion && |  | ) |

default

## setFields()

const auto& setFields | ( |  | ) | const

inline

Definition at line 82 of file insertionRegion.hpp.

References insertionRegion::setFields_.

## name()

const auto& name | ( |  | ) | const

inline

Definition at line 87 of file insertionRegion.hpp.

References insertionRegion::name_.

## read()

bool read | ( | const dictionary & | dict | ) |

inline

Definition at line 95 of file insertionRegion.hpp.

References timeFlowControl::read(), and insertionRegion::readInsertionRegion().

Here is the call graph for this function:

## write()

bool write | ( | dictionary & | dict | ) | const

inline

Definition at line 102 of file insertionRegion.hpp.

References timeFlowControl::write(), and insertionRegion::writeInsertionRegion().

Here is the call graph for this function:

## Member Data Documentation

## name_

word name_

protected

Definition at line 41 of file insertionRegion.hpp.

Referenced by insertionRegion::name(), and insertionRegion::operator=().

## type_

word type_

protected

Definition at line 44 of file insertionRegion.hpp.

Referenced by insertionRegion::operator=().

## pRegion_

uniquePtr<peakableRegion> pRegion_ = nullptr

protected

Definition at line 47 of file insertionRegion.hpp.

Referenced by insertionRegion::operator=().

## mixture_

uniquePtr<shapeMixture> mixture_ = nullptr

protected

Definition at line 50 of file insertionRegion.hpp.

Referenced by insertionRegion::operator=().

## setFields_

uniquePtr<setFieldList> setFields_ = nullptr

protected

Definition at line 53 of file insertionRegion.hpp.

Referenced by insertionRegion::operator=(), and insertionRegion::setFields().

The documentation for this class was generated from the following files:

- src/Particles/Insertion/insertionRegion/insertionRegion.hpp
- src/Particles/Insertion/insertionRegion/insertionRegion.cpp